Page MenuHomePhabricator

CirrusSearch "Completion suggester " feature inserts raw options into the Search preferences panel, so they look unlike all the others
Closed, ResolvedPublic

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptNov 16 2017, 5:16 PM
debt added a subscriber: debt.Nov 16 2017, 6:16 PM

Do you have an explicit preference for how this should look?

Current view:

Other than "use the right controls" (i.e. the full-size radio controls), no. Fixing that could be a few minutes' work, though I've not yet tried it out.

However, this is the only bit of the preferences interface that over-rides behaviour like this (to insert two different headings for one set of radio controls), so it's a bit odd/disruptive from a design perspective. Might be worth re-considering longer-term.

debt added a subscriber: Deskana.Nov 16 2017, 7:42 PM

Gotcha...I believe @Deskana did this work — maybe he'd be able to take a look? :)

None of us really knew what we were doing when adding these preferences. I made a rough spec for what I wanted it to look like, and David implemented it. It looks okay and functions fine, but as James notes it's a mess under the hood, and inconsistent with other preferences. Sounds like a minimum viable product! I don't know whether I have the expertise to fix this myself.

debt triaged this task as Low priority.Nov 20 2017, 5:21 PM
debt moved this task from needs triage to later on... on the Discovery-Search board.

The Search Platform team does not have a front-end engineer to work on this right now unfortunately, moving to later.

matmarex added a subscriber: matmarex.

I'm going to change the radio buttons for our fancy big blue ones, I think that's all we need here.

Change 392541 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/CirrusSearch@master] HTMLCompletionProfileSettings: Use OOUI radios when in OOUI form

https://gerrit.wikimedia.org/r/392541

Local screenshots:

Before:

After:

Jdforrester-WMF closed this task as Resolved.Nov 21 2017, 12:26 AM

Change 392541 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] HTMLCompletionProfileSettings: Use OOUI radios when in OOUI form

https://gerrit.wikimedia.org/r/392541